summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_autoconf.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-03 18:07:44 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2017-02-03 18:28:30 +0100
commitbd97b660147609b31020e06ecf552d8473dfb0d3 (patch)
tree41cc36e897e5cc64966c8910995b87e05641817f /subr/pkg_autoconf.subr
parentd1adc7c60425c2b34039f713881c3cdf75534ef1 (diff)
downloadmidipix_build-bd97b660147609b31020e06ecf552d8473dfb0d3.tar.bz2
midipix_build-bd97b660147609b31020e06ecf552d8473dfb0d3.tar.xz
build.sh, etc/build.usage, {subr,vars}/*: general cleanup.
Diffstat (limited to 'subr/pkg_autoconf.subr')
-rw-r--r--subr/pkg_autoconf.subr7
1 files changed, 3 insertions, 4 deletions
diff --git a/subr/pkg_autoconf.subr b/subr/pkg_autoconf.subr
index 1896fc1c..6390dc97 100644
--- a/subr/pkg_autoconf.subr
+++ b/subr/pkg_autoconf.subr
@@ -27,14 +27,13 @@ pkg_autoconf() {
break;
fi;
done;
- (cd ${PKG_SUBDIR} && ${SHELL} ./autogen.sh) || exit 1;
+ (build_fileop cd ${PKG_SUBDIR} && ${SHELL} ./autogen.sh) || exit 1;
else
- (cd ${PKG_SUBDIR} && autoconf) || exit 1;
+ (build_fileop cd ${PKG_SUBDIR} && autoconf) || exit 1;
fi;
fi;
for __ in ${PKG_BUILD_DIR} ${PKG_CONFIG_CACHE_EXTRA}; do
- echo cp -- ${MIDIPIX_BUILD_PWD}/etc/config.cache ${__}/;
- cp -- ${MIDIPIX_BUILD_PWD}/etc/config.cache ${__}/;
+ build_fileop cp ${MIDIPIX_BUILD_PWD}/etc/config.cache ${__}/;
done;
fi;
set_build_script_done autoconf -patch;